main.floors.MT302=
{
    "floorId": "MT302",
    "title": "魔塔 第30层",
    "name": "第 30 层",
    "width": 13,
    "height": 13,
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "cannotViewMap": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [
        {
            "type": "setValue",
            "name": "flag:302",
            "value": "0"
        }
    ],
    "parallelDo": "",
    "events": {
        "6,11": [
            {
                "type": "changeFloor",
                "floorId": "MT0",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "show",
                "loc": [
                    [
                        8,
                        1
                    ]
                ],
                "floorId": "MT0"
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        1
                    ]
                ],
                "floorId": "MT0"
            },
            {
                "type": "setBlock",
                "number": "specialDoor",
                "loc": [
                    [
                        6,
                        4
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "greenSlime",
                "loc": [
                    [
                        7,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "greenSlime",
                "loc": [
                    [
                        5,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "redSlime",
                "loc": [
                    [
                        4,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "redSlime",
                "loc": [
                    [
                        8,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "E334",
                "loc": [
                    [
                        3,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "E334",
                "loc": [
                    [
                        9,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "playSound",
                "name": "pvzwin.mp3"
            },
            {
                "type": "setValue",
                "name": "flag:wanwan",
                "value": "1"
            },
            {
                "type": "if",
                "condition": "(flag:ziyou===1)",
                "true": [
                    {
                        "type": "show",
                        "loc": [
                            [
                                6,
                                1
                            ]
                        ],
                        "floorId": "MT0"
                    }
                ]
            }
        ],
        "6,1": [
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        1
                    ]
                ],
                "floorId": "MT0"
            },
            {
                "type": "switch",
                "condition": "flag:hardd",
                "caseList": [
                    {
                        "case": "2",
                        "action": [
                            {
                                "type": "show",
                                "loc": [
                                    [
                                        2,
                                        1
                                    ]
                                ],
                                "floorId": "MT0"
                            }
                        ]
                    },
                    {
                        "case": "1",
                        "action": [
                            {
                                "type": "show",
                                "loc": [
                                    [
                                        4,
                                        1
                                    ]
                                ],
                                "floorId": "MT0"
                            }
                        ]
                    },
                    {
                        "case": "0",
                        "action": [
                            {
                                "type": "show",
                                "loc": [
                                    [
                                        6,
                                        1
                                    ]
                                ],
                                "floorId": "MT0"
                            }
                        ]
                    }
                ]
            },
            {
                "type": "changeFloor",
                "floorId": "MT0",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "setBlock",
                "number": "specialDoor",
                "loc": [
                    [
                        6,
                        4
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "greenSlime",
                "loc": [
                    [
                        7,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "greenSlime",
                "loc": [
                    [
                        5,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "redSlime",
                "loc": [
                    [
                        4,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "redSlime",
                "loc": [
                    [
                        8,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "E334",
                "loc": [
                    [
                        3,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "setBlock",
                "number": "E334",
                "loc": [
                    [
                        9,
                        5
                    ]
                ],
                "floorId": "MT302"
            },
            {
                "type": "playSound",
                "name": "lose.mp3"
            }
        ]
    },
    "changeFloor": {},
    "beforeBattle": {},
    "afterBattle": {
        "3,5": [
            {
                "type": "if",
                "condition": "(flag:302===5)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            4
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:302",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "4,5": [
            {
                "type": "if",
                "condition": "(flag:302===5)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            4
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:302",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,5": [
            {
                "type": "if",
                "condition": "(flag:302===5)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            4
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:302",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,5": [
            {
                "type": "if",
                "condition": "(flag:302===5)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            4
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:302",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "8,5": [
            {
                "type": "if",
                "condition": "(flag:302===5)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            4
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:302",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "9,5": [
            {
                "type": "if",
                "condition": "(flag:302===5)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            4
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:302",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "6,4": {
            "1": null
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0, 87,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1, 85,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,334,202,201,  0,201,202,334,  0,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0, 88,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}