main.floors.MT292=
{
    "floorId": "MT292",
    "title": "魔塔 第29层",
    "name": "第 24 层",
    "width": 13,
    "height": 13,
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "cannotViewMap": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "1,11": [
            {
                "type": "function",
                "function": "function(){\nconst floorId = core.floorIds[core.floorIds.indexOf(core.status.floorId) + 1 + core.rand(2)];\ncore.insertAction([\n\t{ \"type\": \"changeFloor\", \"floorId\": floorId, \"loc\": [6, 10] },\n]);\n}"
            },
            {
                "type": "setBlock",
                "number": "thief",
                "loc": [
                    [
                        6,
                        2
                    ]
                ],
                "floorId": "MT292"
            },
            {
                "type": "setBlock",
                "number": "yellowWall",
                "loc": [
                    [
                        6,
                        3
                    ]
                ],
                "floorId": "MT292"
            },
            {
                "type": "playSound",
                "name": "win.mp3"
            }
        ],
        "6,11": [
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        1
                    ]
                ],
                "floorId": "MT0"
            },
            {
                "type": "switch",
                "condition": "flag:hardd",
                "caseList": [
                    {
                        "case": "2",
                        "action": [
                            {
                                "type": "show",
                                "loc": [
                                    [
                                        2,
                                        1
                                    ]
                                ],
                                "floorId": "MT0"
                            }
                        ]
                    },
                    {
                        "case": "1",
                        "action": [
                            {
                                "type": "show",
                                "loc": [
                                    [
                                        4,
                                        1
                                    ]
                                ],
                                "floorId": "MT0"
                            }
                        ]
                    },
                    {
                        "case": "0",
                        "action": [
                            {
                                "type": "show",
                                "loc": [
                                    [
                                        6,
                                        1
                                    ]
                                ],
                                "floorId": "MT0"
                            }
                        ]
                    }
                ]
            },
            {
                "type": "changeFloor",
                "floorId": "MT0",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "setBlock",
                "number": "thief",
                "loc": [
                    [
                        6,
                        2
                    ]
                ],
                "floorId": "MT292"
            },
            {
                "type": "setBlock",
                "number": "yellowWall",
                "loc": [
                    [
                        6,
                        3
                    ]
                ],
                "floorId": "MT292"
            },
            {
                "type": "playSound",
                "name": "lose.mp3"
            }
        ],
        "6,2": [
            {
                "type": "openDoor",
                "loc": [
                    6,
                    3
                ]
            },
            {
                "type": "move",
                "loc": [
                    6,
                    2
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "down:8"
                ]
            },
            {
                "type": "jump",
                "from": [
                    6,
                    10
                ],
                "to": [
                    1,
                    10
                ],
                "time": 200,
                "keep": true
            },
            {
                "type": "move",
                "loc": [
                    1,
                    10
                ],
                "time": 200,
                "steps": [
                    "down:1"
                ]
            }
        ]
    },
    "changeFloor": {},
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  0,  0,  1,  1,  0,123,  0,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  0,  1,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1, 88,  0,  1,  1,  0, 87,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}