main.floors.MT331=
{
    "floorId": "MT331",
    "title": "魔塔 第33层",
    "name": "第 33 层",
    "width": 13,
    "height": 13,
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "cannotViewMap": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "8,1": [
            {
                "type": "if",
                "condition": "(flag:yulan===1)",
                "true": [
                    {
                        "type": "changeFloor",
                        "floorId": "MT341",
                        "loc": [
                            8,
                            6
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "function",
                        "function": "function(){\nconst floorId = core.floorIds[core.floorIds.indexOf(core.status.floorId) + 5 + core.rand(5)];\ncore.insertAction([\n\t{ \"type\": \"changeFloor\", \"floorId\": floorId, \"loc\": [8, 6] },\n]);\n}"
                    },
                    {
                        "type": "playSound",
                        "name": "win.mp3"
                    }
                ]
            }
        ],
        "10,1": [
            {
                "type": "if",
                "condition": "(flag:yulan===1)",
                "true": [
                    {
                        "type": "changeFloor",
                        "floorId": "MT321",
                        "loc": [
                            6,
                            6
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "hide",
                        "loc": [
                            [
                                8,
                                1
                            ]
                        ],
                        "floorId": "MT0"
                    },
                    {
                        "type": "switch",
                        "condition": "flag:hardd",
                        "caseList": [
                            {
                                "case": "2",
                                "action": [
                                    {
                                        "type": "show",
                                        "loc": [
                                            [
                                                2,
                                                1
                                            ]
                                        ],
                                        "floorId": "MT0"
                                    }
                                ]
                            },
                            {
                                "case": "1",
                                "action": [
                                    {
                                        "type": "show",
                                        "loc": [
                                            [
                                                6,
                                                1
                                            ]
                                        ],
                                        "floorId": "MT0"
                                    }
                                ]
                            },
                            {
                                "case": "0",
                                "action": [
                                    {
                                        "type": "show",
                                        "loc": [
                                            [
                                                8,
                                                1
                                            ]
                                        ],
                                        "floorId": "MT0"
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "type": "changeFloor",
                        "floorId": "MT0",
                        "loc": [
                            6,
                            6
                        ]
                    },
                    {
                        "type": "playSound",
                        "name": "lose.mp3"
                    }
                ]
            }
        ]
    },
    "changeFloor": {},
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 87,  0, 81,214,  0,216, 81, 87,  0, 88, 88,  1],
    [  1,  0,  0,  1,  0, 31,  0,  1, 81,  1,  1,  1,  1],
    [  1, 82,  1,  1,121,  0, 21,  1,  0,  0,  0, 32,  1],
    [  1,  0, 31,  1,  1, 81,  1,  1,  1,  1,  0,  1,  1],
    [  1,216,  0,  1,  0,  0,214,  0,  1,212,  0,212,  1],
    [  1,  0,  0,  1,224,  1,  1, 81,  1,  0,  0,  0,  1],
    [  1,  0,216, 81,  0,  0,212,  0,  1,225,  0,225,  1],
    [  1, 81,  1,  1,  1,  1,  1,  1,  1,  1,  0,  1,  1],
    [  1,  0,  0,214,  1,  0,225,  0,  1,  0,  0,  0,  1],
    [  1,224,  1,  0,  1, 21,  1,216,  0,  0, 39,  0,  1],
    [  1, 21,225,  0, 82,  0, 81,  0,  1,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}