main.floors.MT411=
{
    "floorId": "MT411",
    "title": "魔塔 第41层",
    "name": "第 41 层",
    "width": 13,
    "height": 13,
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "cannotViewMap": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,5": [
            {
                "type": "if",
                "condition": "(flag:yulan===1)",
                "true": [
                    {
                        "type": "changeFloor",
                        "floorId": "MT421",
                        "loc": [
                            2,
                            7
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "function",
                        "function": "function(){\nconst floorId = core.floorIds[core.floorIds.indexOf(core.status.floorId) + 5 + core.rand(5)];\ncore.insertAction([\n\t{ \"type\": \"changeFloor\", \"floorId\": floorId, \"loc\": [2, 7] },\n]);\n}"
                    },
                    {
                        "type": "playSound",
                        "name": "win.mp3"
                    }
                ]
            }
        ],
        "6,3": [
            {
                "type": "if",
                "condition": "(flag:yulan===1)",
                "true": [
                    {
                        "type": "changeFloor",
                        "floorId": "MT0",
                        "loc": [
                            6,
                            6
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "hide",
                        "loc": [
                            [
                                10,
                                1
                            ]
                        ],
                        "floorId": "MT0"
                    },
                    {
                        "type": "switch",
                        "condition": "flag:hardd",
                        "caseList": [
                            {
                                "case": "2",
                                "action": [
                                    {
                                        "type": "show",
                                        "loc": [
                                            [
                                                2,
                                                1
                                            ]
                                        ],
                                        "floorId": "MT0"
                                    }
                                ]
                            },
                            {
                                "case": "1",
                                "action": [
                                    {
                                        "type": "show",
                                        "loc": [
                                            [
                                                8,
                                                1
                                            ]
                                        ],
                                        "floorId": "MT0"
                                    }
                                ]
                            },
                            {
                                "case": "0",
                                "action": [
                                    {
                                        "type": "show",
                                        "loc": [
                                            [
                                                10,
                                                1
                                            ]
                                        ],
                                        "floorId": "MT0"
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        "type": "changeFloor",
                        "floorId": "MT0",
                        "loc": [
                            6,
                            6
                        ]
                    },
                    {
                        "type": "playSound",
                        "name": "lose.mp3"
                    }
                ]
            }
        ]
    },
    "changeFloor": {},
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 31,  1,  0, 22,  1, 88,  1, 22,  0,  1, 31,  1],
    [  1, 81,220,  0,  0,  1,  0,  1,  0,  0,  1, 81,  1],
    [  1, 81,  1,  0,  1,  1, 88,  1,  1,  0,  1, 81,  1],
    [  1, 81,  1, 81,  1,246,  0,246,  1, 81,  1, 81,  1],
    [  1,  0,  0,219,  1,  1, 87,  1,  1,219,  0,  0,  1],
    [  1,207,  0,  0,  0, 82,  0, 82,  0,  0,  0,207,  1],
    [  1,  0,207,  0,204,  1, 81,  1,204,  0,207,  0,  1],
    [  1, 81,  1,  1, 81,  1, 81,  1, 81,  1,  1, 81,  1],
    [  1, 81,  1, 31,  0,  1, 81,  1,  0, 31,  1, 81,  1],
    [  1, 81,  1, 21, 21,  1,  0,  1, 21, 21,  1, 81,  1],
    [  1, 32,  1, 21, 27,  1, 87,  1, 28, 21,  1, 32,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}